DIST(1)

NAME
dist — distribute files to a remote machine

SYNOPSIS
dist [-nv] [-d hosts] [-[Ff] hostfile] [-D old=new] [-[Xx] command] file ...

dist -q [-v] [systems ...]

dist -r [-v] [-D old=new] [-R rootdir] system [job ...]

DESCRIPTION
Dist distributes files to other systems, where they are installed under the same names. Dist operates by packing the files with mkdist(1), and queueing the resulting package in a spool directory to be picked up by the remote systems.

Dist has several forms of use. In the first (default) form, dist packages the named files and queues them for remote systems. By default, the list of remote systems is taken from /usr/lib/dist/destinations/default. The -d option allows a list of destination systems to be specified as a single argument (containing system names separated by spaces). Similarly, the -f option allows a list of systems to be taken from a file. The -F option is like -f, except it looks in a standard place for the file. Multiple -d, -f, and -F options may be combined. If any destinations are specified via the command line, the default destinations file is not read. The -D, -X, and -x options are passed to mkdist. By default, after packaging and queueing the files for distribution, dist notifies each remote system that the package is available, and the remote system then dials back and immediately downloads the package. The -n option suppresses this notification.

In the second form, when the -q option is given, dist displays the queue contents on each remote system named in the command line. If no remote systems are named, dist displays the local queue.

The third form, with the -r option, makes a network call to the named system and attempts to download and install the named jobs. If no jobs are named, it attempts to download all jobs on the remote system. The -D and -R options are passed to insdist(1). The -r form is rarely used, since the default behavior is for remote systems to automatically dial back when a package is announced.

In all three forms of the command, the -v option enables verbose output.

FILES

Supporting programs.

List of default destination systems.

Destination files for the
    -F option.

Spool directory.

Spool subdirectories.

Log file.

SEE ALSO
mkdist(1)

BUGS
-v should provide more verbose output.
Logging needs improvement.